#
# spec file for package gkrellm-cpupower
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gkrellm-cpupower
%define src_name    gkrellm2-cpupower
Version:        0.2
Release:        2.1
License:        GPL-2.0+
Summary:        Gkrellm plugin - CPU Frequency
Url:            http://chw.populus.org/rub/7
Group:          System/GUI/Other
Source0:        https://github.com/sainsaar/gkrellm2-cpupower/archive/0.2.tar.gz#/gkrellm2-cpupower-%{version}.tar.gz
Requires:       cpupower
BuildRequires:  cpupower-devel
BuildRequires:  gkrellm-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
Obsoletes:      gkrellm-cpufreq
Provides:       gkrellm-cpufreq
Requires:       gkrellm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A gkrellm2 plugin for displaying and manipulating CPU frequency

%prep
%setup -q -n %{src_name}-%{version}

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
sed -i "s:/lib/:/%{_lib}/:" Makefile
%make_install

%clean

%files
%defattr(-,root,root)
# INSTALL is packaged on purpose. There are post-install instructions
%doc ChangeLog* INSTALL LICENSE README
%dir %{_libdir}/gkrellm2/
%dir %{_libdir}/gkrellm2/plugins
%{_libdir}/gkrellm2/plugins/cpupower.so

%changelog
* Wed Oct 18 2017 pgajdos@suse.com
- use sources from github:gkrellm2-cpupower/releases [bsc#1062808]
- package renamed to gkrellm-cpupower
- version 0.2
* Sun May 17 2015 zaitor@opensuse.org
- Own some dirs to fix build on older openSUSE releases.
* Fri Jan 17 2014 pgajdos@suse.com
- add cpupower to Requires:
* Thu Jan  9 2014 cfarrell@suse.com
- license update: GPL-2.0+
  no indication that the package is GPL-2.0 (i.e. only)
* Mon Jan  6 2014 pgajdos@suse.com
- Add cpulabel.patch: add CPUN labels [bnc#841818c#18]
- Add couple-controls.patch: perhaps better behaviour when
  'Couple controls of multiple CPUs' is selected (but still not
  perfect)
* Thu Nov  7 2013 pgajdos@suse.com
- Add cpupower.patch: port to cpupower plus warn when intel_pstate
  is active (read frequencies from /proc/cpuinfo in that case).
* Wed Oct 23 2013 pgajdos@suse.com
- Packge created, version 0.6.4 (bnc#841818).
